Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin.gui.inputcontrols
Class BasicInputControl

    java.lang.Object
      com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.BasicInputControl

Direct Known Subclasses:
  BooleanInputControl, MultiColumnListInputControl, MultiSelectInputControl, SingleSelectInputControl

    public class BasicInputControl

extends java.lang.Object

Author:
  gtoffoli

Field Summary
`protected ResourceDescriptor` | `inputControl`
`static java.util.Map` | `valueHistories`

Constructor Summary
`BasicInputControl()` Creates a new instance of BasicInputControl

Method Summary
`void` | `addHistoryValue(java.lang.String controlUri, java.lang.Object value)`
`ResourceDescriptor` | `getDataType()`
`java.lang.Object` | `getDefaultValue()`
`java.util.List` | `getHistory(java.lang.String controlUri)`
`ResourceDescriptor` | `getInputControl()`
`InputControlUI` | `getInputControlUI()`
`javax.swing.JComponent` | `getUI()`
`java.lang.Object` | `getValue()`
`void` | `setDataType(ResourceDescriptor dataType)`
`void` | `setDefaultValue(java.lang.Object defaultValue)`
`void` | `setInputControl(ResourceDescriptor inputControl)`
`void` | `setInputControl(ResourceDescriptor inputControl, java.util.List values)`
`void` | `setInputControl(ResourceDescriptor inputControl, ResourceDescriptor dataType)`
`void` | `setInputControlUI(InputControlUI inputControlUI)`
`java.lang.Object` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### valueHistories

    public static java.util.Map valueHistories

### inputControl

    protected ResourceDescriptor inputControl

Constructor Detail

### BasicInputControl

    public BasicInputControl()

  Creates a new instance of BasicInputControl

Method Detail

### getDefaultValue

    public java.lang.Object getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.Object defaultValue)

### getUI

    public javax.swing.JComponent getUI()

### getValue

    public java.lang.Object getValue()
                              throws InputValidationException

  Throws:
    `InputValidationException`

### getInputControl

    public ResourceDescriptor getInputControl()

### setInputControl

    public void setInputControl(ResourceDescriptor inputControl,
                                java.util.List values)

### setInputControl

    public void setInputControl(ResourceDescriptor inputControl)

### setInputControl

    public void setInputControl(ResourceDescriptor inputControl,
                                ResourceDescriptor dataType)

### addHistoryValue

    public void addHistoryValue(java.lang.String controlUri,
                                java.lang.Object value)

### getHistory

    public java.util.List getHistory(java.lang.String controlUri)

### getInputControlUI

    public InputControlUI getInputControlUI()

### setInputControlUI

    public void setInputControlUI(InputControlUI inputControlUI)

### validate

    public java.lang.Object validate()
                              throws InputValidationException

  Throws:
    `InputValidationException`

### getDataType

    public ResourceDescriptor getDataType()

### setDataType

    public void setDataType(ResourceDescriptor dataType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.